commit:     a727f8e1d91146b44376d83fea08bd6a2a5fa423
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Thu May  7 14:19:10 2020 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Fri May  8 12:20:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a727f8e1

sci-libs/coinor-dylp: new EAPI=7 version 1.10.4.

Analogous the other recent coinor-* version bumps. I've added some
comments explaining the weirdness that pervades these ebuilds.

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/coinor-dylp/Manifest                  |  2 +-
 sci-libs/coinor-dylp/coinor-dylp-1.10.4.ebuild | 77 ++++++++++++++++++++++++++
 sci-libs/coinor-dylp/coinor-dylp-1.9.4.ebuild  | 63 ---------------------
 3 files changed, 78 insertions(+), 64 deletions(-)

diff --git a/sci-libs/coinor-dylp/Manifest b/sci-libs/coinor-dylp/Manifest
index 74ae72d65a3..5d9d4789a8f 100644
--- a/sci-libs/coinor-dylp/Manifest
+++ b/sci-libs/coinor-dylp/Manifest
@@ -1 +1 @@
-DIST DyLP-1.9.4.tgz 5049865 BLAKE2B 
4e7ea46973845959bb4d0b0f24c380b10ec8245bd690a3fadf2fe14d136187a828e898e78afc5625543eec27a7af23d0a3def433259e61fb13d337ac4f4ccd93
 SHA512 
1dcad555f40b88aafaef0ca712731f3d4787900cefd2125eea9171d5dfdbea1888fd08b6767f50dcb915a0e2ad4e3430ed67d68026015b15af9032ed9231a069
+DIST coinor-dylp-1.10.4.tar.gz 2820973 BLAKE2B 
29f74c314940e32b0e1c9c9bf6b9fc0515eeb98674d88e914445efaec2f97c92ff6e9de7d9b55f2427a1cf3d92fddb976915fbdc1ddd1df9fd0985e5b078ed2d
 SHA512 
2fe3298007568cc9ed7626e72e7ed5c45611fb15120db06cdefd21e02b34a2c11a498b360489df1f00e8a897023419688e43dbb77edb690350b3ee2d4cd2781c

diff --git a/sci-libs/coinor-dylp/coinor-dylp-1.10.4.ebuild 
b/sci-libs/coinor-dylp/coinor-dylp-1.10.4.ebuild
new file mode 100644
index 00000000000..b36ea7976c8
--- /dev/null
+++ b/sci-libs/coinor-dylp/coinor-dylp-1.10.4.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN=DyLP
+
+DESCRIPTION="COIN-OR dynamic simplex linear program solver"
+HOMEPAGE="https://github.com/coin-or/DyLP/";
+SRC_URI="https://github.com/coin-or/${MY_PN}/archive/releases/${PV}.tar.gz
+       -> ${P}.tar.gz"
+LICENSE="EPL-1.0"
+
+# major soname component
+SLOT="0/1"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs test"
+RESTRICT="!test? ( test )"
+
+# Fortran is NOT needed, but the ./configure scripts for all of the CoinOR
+# packages contain a check for it. Gentoo bug 601648 and upstream issue,
+#
+#   https://github.com/coin-or/CoinUtils/issues/132
+#
+BDEPEND="virtual/fortran
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen[dot] )
+       test? ( sci-libs/coinor-sample )"
+
+DEPEND="sci-libs/coinor-osi:="
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_PN}-releases-${PV}/${MY_PN}"
+
+src_prepare() {
+       # Needed to make the --with-coin-instdir in src_configure happy.
+       dodir /usr
+
+       # They don't need to guess at this, but they do, and get it wrong...
+       sed -e "s:lib/pkgconfig:$(get_libdir)/pkgconfig:g" \
+               -i configure \
+               || die "failed to fix the pkgconfig path in ${S}/configure"
+
+       default
+}
+
+src_configure() {
+       local myeconfargs=(
+               --enable-dependency-linking
+               --with-coin-instdir="${ED}"/usr
+               $(use_with doc dot)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       emake all $(usex doc doxydoc "")
+}
+
+src_test() {
+       # NOT redundant! The build system has a "make check" target that does
+       # nothing, so if you don't specify "test" here, you'll get a no-op.
+       emake test
+}
+
+src_install() {
+       use doc && HTML_DOC=("${BUILD_DIR}/doxydocs/html/")
+
+       emake DESTDIR="${D}" install
+
+       # Duplicate junk, and in the wrong location.
+       rm -r "${ED}/usr/share/coin/doc/${MY_PN}" || die
+
+       use examples && dodoc -r examples
+}

diff --git a/sci-libs/coinor-dylp/coinor-dylp-1.9.4.ebuild 
b/sci-libs/coinor-dylp/coinor-dylp-1.9.4.ebuild
deleted file mode 100644
index 6432f3ab4b2..00000000000
--- a/sci-libs/coinor-dylp/coinor-dylp-1.9.4.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools-utils multilib
-
-MYPN=DyLP
-
-DESCRIPTION="COIN-OR using the dynamic simplex linear programming solver"
-HOMEPAGE="https://projects.coin-or.org/DyLP/";
-SRC_URI="http://www.coin-or.org/download/source/${MYPN}/${MYPN}-${PV}.tgz";
-
-LICENSE="EPL-1.0"
-SLOT="0/1"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="doc examples static-libs test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="sci-libs/coinor-osi:="
-DEPEND="${RDEPEND}
-       virtual/pkgconfig
-       doc? ( app-doc/doxygen[dot] )
-       test? ( sci-libs/coinor-sample )"
-
-S="${WORKDIR}/${MYPN}-${PV}/${MYPN}"
-
-src_prepare() {
-       # needed for the --with-coin-instdir
-       dodir /usr
-       sed -i \
-               -e "s:lib/pkgconfig:$(get_libdir)/pkgconfig:g" \
-               configure || die
-       autotools-utils_src_prepare
-}
-
-src_configure() {
-       local myeconfargs=(
-               --enable-dependency-linking
-               --with-coin-instdir="${ED}"/usr
-               $(use_with doc dot)
-       )
-       autotools-utils_src_configure
-}
-
-src_compile() {
-       autotools-utils_src_compile all $(usex doc doxydoc "")
-}
-
-src_test() {
-       autotools-utils_src_test test
-}
-
-src_install() {
-       use doc && HTML_DOC=("${BUILD_DIR}/doxydocs/html/")
-       autotools-utils_src_install
-       # already installed
-       rm "${ED}"/usr/share/coin/doc/${MYPN}/{README,AUTHORS,LICENSE} || die
-       if use examples; then
-               insinto /usr/share/doc/${PF}
-               doins -r examples
-       fi
-}

Reply via email to